Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.aglet.security
Class MessageProtection

    java.lang.Object
      |
      +--java.security.Permission
            |
            +--com.ibm.aglets.security.AgletsPermissionBase
                  |
                  +--com.ibm.aglets.security.PlainMessagePermission
                        |
                        +--com.ibm.aglet.security.MessageProtection

All Implemented Interfaces:
  java.security.Guard, Protection, java.io.Serializable

public final class MessageProtection
extends PlainMessagePermission
implements Protection

The `MessageProtection` class represents the protection of messages for aglet.

Version:
  1.00 $Date: 2001/07/28 06:34:15 $
Author:
  ONO Kouichi
See Also:
  Serialized Form

Fields inherited from class com.ibm.aglets.security.AgletsPermissionBase
`CHAR_ASTERISK, CHAR_COLON, CHAR_COMMA, CHAR_DOT, CHAR_HYPHEN, CHAR_SLASH, SEPARATOR, SEPARATORS, STRING_ASTERISK, STRING_COLON, STRING_COMMA, STRING_DOT, STRING_HYPHEN, STRING_SLASH, STRING_WILDCARD`

Constructor Summary
`MessageProtection(java.lang.String name, java.lang.String actions)`

Method Summary
`boolean` | `implies(java.security.Permission p)`

Methods inherited from class com.ibm.aglets.security.PlainMessagePermission
`equals, getActions, hashCode`

Methods inherited from class com.ibm.aglets.security.AgletsPermissionBase
`checkAglet, concat, concat, concat, concat, includes, includes, matches, matches, matches, matches, qsort, select, select, split, split`

Methods inherited from class java.security.Permission
`checkGuard, getName, newPermissionCollection, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.security.Guard
`checkGuard`

Constructor Detail

### MessageProtection

    public MessageProtection(java.lang.String name,
                             java.lang.String actions)

Method Detail

### implies

    public boolean implies(java.security.Permission p)

  Overrides:
    `implies` in class `PlainMessagePermission`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD